*** REPORT-print-previous.md	2022-06-30 09:54:54.000000000 +0100
--- REPORT-print.md	2022-06-30 11:39:17.000000000 +0100
***************
*** 28,34 ****
  ### Version
  
  * This report was generated at:
!     * 2022/06/30 08:54:19 UTC.
  * Announcement blog post at:
      * URL TBC
  * Latest versions of this report are available at:
--- 28,34 ----
  ### Version
  
  * This report was generated at:
!     * 2022/06/30 10:39:17 UTC.
  * Announcement blog post at:
      * URL TBC
  * Latest versions of this report are available at:
***************
*** 695,702 ****
  1. Your definition of an 'end' is wrong
  2. E2E needs to address, mitigate, or negate metadata analysis
  3. E2E needs to provide anonymity
! 4. E2E needs to be open-source
! 5. E2E needs to be running on open-source platforms
  6. E2E needs to be decentralised, distributed, or federated
  7. Commercial platforms have no reason to build real E2E, so it's all fakery
  8. Real E2E is impossible because [supposed reasons], so give up
--- 695,702 ----
  1. Your definition of an 'end' is wrong
  2. E2E needs to address, mitigate, or negate metadata analysis
  3. E2E needs to provide anonymity
! 4. E2E needs to be open source
! 5. E2E needs to be running on open source platforms
  6. E2E needs to be decentralised, distributed, or federated
  7. Commercial platforms have no reason to build real E2E, so it's all fakery
  8. Real E2E is impossible because [supposed reasons], so give up
***************
*** 737,743 ****
    abuse, including disenfranchisement / being remotely "switched off."
  
  - Demands that E2E software must have a given communications
!   architecture, must be open-source, must only run on open-source,
    must be non-commercial, or is somehow simply "impossible" are all
    versions of the *"No true Scotsman..."* ^[*"No true Scotsman*: https://en.wikipedia.org/wiki/No_true_Scotsman]
    fallacy.  All of these claims are irrelevant to the delivery of data
--- 737,743 ----
    abuse, including disenfranchisement / being remotely "switched off."
  
  - Demands that E2E software must have a given communications
!   architecture, must be open source, must only run on open source,
    must be non-commercial, or is somehow simply "impossible" are all
    versions of the *"No true Scotsman..."* ^[*"No true Scotsman*: https://en.wikipedia.org/wiki/No_true_Scotsman]
    fallacy.  All of these claims are irrelevant to the delivery of data
***************
*** 2580,2587 ****
  *very fashionable.* ^[*very fashionable*: https://techcrunch.com/2010/06/23/data-portability-policy/]
  
  At this point I should declare a personal interest: I was part of a now-defunct
! *open-source project* ^[*open-source project*: https://cyber.harvard.edu/projectvrm/The_Mine!_Project]
! 
  which sought to empower people by putting them in control of their
  data, allowing them to share it and monetise it as they saw fit; I
  moved in the same circles as several key proponents of Data
--- 2580,2586 ----
  *very fashionable.* ^[*very fashionable*: https://techcrunch.com/2010/06/23/data-portability-policy/]
  
  At this point I should declare a personal interest: I was part of a now-defunct
! *open source project* ^[*open source project*: https://cyber.harvard.edu/projectvrm/The_Mine!_Project]
  which sought to empower people by putting them in control of their
  data, allowing them to share it and monetise it as they saw fit; I
  moved in the same circles as several key proponents of Data
***************
*** 2990,2996 ****
  telephones; instead they are helpers to enable us to speak clearly and
  privately when standing in a field of wires.
  
! Messaging apps are *expressive media*.
  
  Regulators -- following their usual playbook -- believe that apps are
  fungible, technological, monopolistic transport media, deserving of
--- 2989,3010 ----
  telephones; instead they are helpers to enable us to speak clearly and
  privately when standing in a field of wires.
  
! *GIFs* and *Emoji* hugely expand our lexicon.  Personalised *stickers*
! and *reactions* provide better phatic cues.
! ^[With integrated payments you could literally even *throw money at someone.*]
! Each app internally provides morphology and syntax structures to
! better transport these expressions for us.  Messaging apps are
! *expressive media*, and -- like the opposite of a
! *Pidgin* ^[*Pidgin*: https://en.wikipedia.org/wiki/Pidgin]
! -- each of these apps embiggens our native language(s) in different
! ways that make them more fit for online expression.  We benefit from
! more difference and diversity of approach in this embiggening -- in
! how apps are engineered to help us *express* ourselves better, so that
! there is evolution and improvement.
! 
! We need more and different and diverse apps, not fewer and more
! standardised.  Demanding "open APIs" to whatever, to enable "open
! markets", will not deliver the improvements that we need.
  
  Regulators -- following their usual playbook -- believe that apps are
  fungible, technological, monopolistic transport media, deserving of
***************
*** 3387,3393 ****
    the face of political opposition, or to be cowardly and build
    something which does not satisfy the *field model*, risks leaks of
    user data, and will eventually expire by being less
!   security-competitive than open-source distributed E2E communications
    tools.  In the spirit of
    *accelerationism* ^[*accelerationism*: https://en.wikipedia.org/wiki/Accelerationism]
    some civil society technologists would welcome trying to bring about
--- 3401,3407 ----
    the face of political opposition, or to be cowardly and build
    something which does not satisfy the *field model*, risks leaks of
    user data, and will eventually expire by being less
!   security-competitive than open source distributed E2E communications
    tools.  In the spirit of
    *accelerationism* ^[*accelerationism*: https://en.wikipedia.org/wiki/Accelerationism]
    some civil society technologists would welcome trying to bring about
